Page MenuHomePhabricator

Requesting SRE permissions to create Gerrit projects under operations/debs
Closed, ResolvedPublic

Description

Hello, I'd like to request permission for the SRE team to create new projects under "operations/debs".

When creating a new Debian package (for example the package referenced in T230443) a new operations/debs/foo project is used to track the sources. Having permission to create the project directly would help speed up the project creation for SRE, and also cut down on requests for new gerrit projects that fall under the established operations/debs hierarchy.

Thanks in advance for considering this!

Event Timeline

herron created this task.Aug 14 2019, 3:38 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 14 2019, 3:38 PM

The "Create Project" permission is global, you can't give a group Create Project permissions on a particular path.

@herron do you want to be in the Gerrit Manager group? That will allow you to create projects.

MarcoAurelio removed the point value for this task.Nov 19 2019, 5:58 PM
MarcoAurelio added a subscriber: MarcoAurelio.

@herron Can you please answer @tstarling re. granting you Gerrit Manager permissions instead so you can create repos yourself? Thanks.

Thanks for the ping, I missed the question. Sure, being added to the Gerrit Manager that would work for me!

tstarling closed this task as Resolved.Nov 20 2019, 12:54 AM
tstarling claimed this task.

Done.